View Javadoc

    1   //
    2   // This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, vJAXB 2.1.10 in JDK 6
    3   // See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a>
    4   // Any modifications to this file will be lost upon recompilation of the source schema.
    5   // Generated on: 2012.11.09 at 12:33:57 PM EST
    6   //
    7
    8
    9   package org.owasp.dependencycheck.jaxb.pom.generated;
    10
    11  import java.util.ArrayList;
    12  import java.util.List;
    13  import javax.annotation.Generated;
    14  import javax.xml.bind.annotation.XmlAccessType;
    15  import javax.xml.bind.annotation.XmlAccessorType;
    16  import javax.xml.bind.annotation.XmlElement;
    17  import javax.xml.bind.annotation.XmlType;
    18
    19
    20  /**
    21   *  3.0.0+
    22   *
    23   * <p>Java class for Dependency complex type.
    24   *
    25   * <p>The following schema fragment specifies the expected content contained within this class.
    26   *
    27   * <pre>
    28   * &lt;complexType name="Dependency">
    29   *   &lt;complexContent>
    30   *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
    31   *       &lt;all>
    32   *         &lt;element name="groupId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    33   *         &lt;element name="artifactId" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    34   *         &lt;element name="version" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    35   *         &lt;element name="type" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    36   *         &lt;element name="classifier" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    37   *         &lt;element name="scope" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    38   *         &lt;element name="systemPath" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
    39   *         &lt;element name="exclusions" minOccurs="0">
    40   *           &lt;complexType>
    41   *             &lt;complexContent>
    42   *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
    43   *                 &lt;sequence>
    44   *                   &lt;element name="exclusion" type="{http://maven.apache.org/POM/4.0.0}Exclusion" maxOccurs="unbounded" minOccurs="0"/>
    45   *                 &lt;/sequence>
    46   *               &lt;/restriction>
    47   *             &lt;/complexContent>
    48   *           &lt;/complexType>
    49   *         &lt;/element>
    50   *         &lt;element name="optional" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
    51   *       &lt;/all>
    52   *     &lt;/restriction>
    53   *   &lt;/complexContent>
    54   * &lt;/complexType>
    55   * </pre>
    56   *
    57   *
    58   */
    59  @XmlAccessorType(XmlAccessType.FIELD)
    60  @XmlType(name = "Dependency", propOrder = {
    61
    62  })
    63  @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    64  public class Dependency {
    65
    66      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    67      protected String groupId;
    68      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    69      protected String artifactId;
    70      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    71      protected String version;
    72      @XmlElement(defaultValue = "jar")
    73      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    74      protected String type;
    75      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    76      protected String classifier;
    77      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    78      protected String scope;
    79      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    80      protected String systemPath;
    81      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    82      protected Dependency.Exclusions exclusions;
    83      @XmlElement(defaultValue = "false")
    84      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    85      protected Boolean optional;
    86
    87      /**
    88       * Gets the value of the groupId property.
    89       *
    90       * @return
    91       *     possible object is
    92       *     {@link String }
    93       *
    94       */
    95      @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    96      public String getGroupId() {
    97          return groupId;
    98      }
    99
    100     /**
    101      * Sets the value of the groupId property.
    102      *
    103      * @param value
    104      *     allowed object is
    105      *     {@link String }
    106      *
    107      */
    108     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    109     public void setGroupId(String value) {
    110         this.groupId = value;
    111     }
    112
    113     /**
    114      * Gets the value of the artifactId property.
    115      *
    116      * @return
    117      *     possible object is
    118      *     {@link String }
    119      *
    120      */
    121     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    122     public String getArtifactId() {
    123         return artifactId;
    124     }
    125
    126     /**
    127      * Sets the value of the artifactId property.
    128      *
    129      * @param value
    130      *     allowed object is
    131      *     {@link String }
    132      *
    133      */
    134     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    135     public void setArtifactId(String value) {
    136         this.artifactId = value;
    137     }
    138
    139     /**
    140      * Gets the value of the version property.
    141      *
    142      * @return
    143      *     possible object is
    144      *     {@link String }
    145      *
    146      */
    147     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    148     public String getVersion() {
    149         return version;
    150     }
    151
    152     /**
    153      * Sets the value of the version property.
    154      *
    155      * @param value
    156      *     allowed object is
    157      *     {@link String }
    158      *
    159      */
    160     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    161     public void setVersion(String value) {
    162         this.version = value;
    163     }
    164
    165     /**
    166      * Gets the value of the type property.
    167      *
    168      * @return
    169      *     possible object is
    170      *     {@link String }
    171      *
    172      */
    173     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    174     public String getType() {
    175         return type;
    176     }
    177
    178     /**
    179      * Sets the value of the type property.
    180      *
    181      * @param value
    182      *     allowed object is
    183      *     {@link String }
    184      *
    185      */
    186     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    187     public void setType(String value) {
    188         this.type = value;
    189     }
    190
    191     /**
    192      * Gets the value of the classifier property.
    193      *
    194      * @return
    195      *     possible object is
    196      *     {@link String }
    197      *
    198      */
    199     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    200     public String getClassifier() {
    201         return classifier;
    202     }
    203
    204     /**
    205      * Sets the value of the classifier property.
    206      *
    207      * @param value
    208      *     allowed object is
    209      *     {@link String }
    210      *
    211      */
    212     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    213     public void setClassifier(String value) {
    214         this.classifier = value;
    215     }
    216
    217     /**
    218      * Gets the value of the scope property.
    219      *
    220      * @return
    221      *     possible object is
    222      *     {@link String }
    223      *
    224      */
    225     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    226     public String getScope() {
    227         return scope;
    228     }
    229
    230     /**
    231      * Sets the value of the scope property.
    232      *
    233      * @param value
    234      *     allowed object is
    235      *     {@link String }
    236      *
    237      */
    238     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    239     public void setScope(String value) {
    240         this.scope = value;
    241     }
    242
    243     /**
    244      * Gets the value of the systemPath property.
    245      *
    246      * @return
    247      *     possible object is
    248      *     {@link String }
    249      *
    250      */
    251     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    252     public String getSystemPath() {
    253         return systemPath;
    254     }
    255
    256     /**
    257      * Sets the value of the systemPath property.
    258      *
    259      * @param value
    260      *     allowed object is
    261      *     {@link String }
    262      *
    263      */
    264     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    265     public void setSystemPath(String value) {
    266         this.systemPath = value;
    267     }
    268
    269     /**
    270      * Gets the value of the exclusions property.
    271      *
    272      * @return
    273      *     possible object is
    274      *     {@link Dependency.Exclusions }
    275      *
    276      */
    277     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    278     public Dependency.Exclusions getExclusions() {
    279         return exclusions;
    280     }
    281
    282     /**
    283      * Sets the value of the exclusions property.
    284      *
    285      * @param value
    286      *     allowed object is
    287      *     {@link Dependency.Exclusions }
    288      *
    289      */
    290     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    291     public void setExclusions(Dependency.Exclusions value) {
    292         this.exclusions = value;
    293     }
    294
    295     /**
    296      * Gets the value of the optional property.
    297      *
    298      * @return
    299      *     possible object is
    300      *     {@link Boolean }
    301      *
    302      */
    303     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    304     public Boolean isOptional() {
    305         return optional;
    306     }
    307
    308     /**
    309      * Sets the value of the optional property.
    310      *
    311      * @param value
    312      *     allowed object is
    313      *     {@link Boolean }
    314      *
    315      */
    316     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    317     public void setOptional(Boolean value) {
    318         this.optional = value;
    319     }
    320
    321
    322     /**
    323      * <p>Java class for anonymous complex type.
    324      *
    325      * <p>The following schema fragment specifies the expected content contained within this class.
    326      *
    327      * <pre>
    328      * &lt;complexType>
    329      *   &lt;complexContent>
    330      *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
    331      *       &lt;sequence>
    332      *         &lt;element name="exclusion" type="{http://maven.apache.org/POM/4.0.0}Exclusion" maxOccurs="unbounded" minOccurs="0"/>
    333      *       &lt;/sequence>
    334      *     &lt;/restriction>
    335      *   &lt;/complexContent>
    336      * &lt;/complexType>
    337      * </pre>
    338      *
    339      *
    340      */
    341     @XmlAccessorType(XmlAccessType.FIELD)
    342     @XmlType(name = "", propOrder = {
    343         "exclusion"
    344     })
    345     @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    346     public static class Exclusions {
    347
    348         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    349         protected List<Exclusion> exclusion;
    350
    351         /**
    352          * Gets the value of the exclusion property.
    353          *
    354          * <p>
    355          * This accessor method returns a reference to the live list,
    356          * not a snapshot. Therefore any modification you make to the
    357          * returned list will be present inside the JAXB object.
    358          * This is why there is not a <CODE>set</CODE> method for the exclusion property.
    359          *
    360          * <p>
    361          * For example, to add a new item, do as follows:
    362          * <pre>
    363          *    getExclusion().add(newItem);
    364          * </pre>
    365          *
    366          *
    367          * <p>
    368          * Objects of the following type(s) are allowed in the list
    369          * {@link Exclusion }
    370          *
    371          *
    372          */
    373         @Generated(value = "com.sun.tools.internal.xjc.Driver", date = "2012-11-09T12:33:57-05:00", comments = "JAXB RI vJAXB 2.1.10 in JDK 6")
    374         public List<Exclusion> getExclusion() {
    375             if (exclusion == null) {
    376                 exclusion = new ArrayList<Exclusion>();
    377             }
    378             return this.exclusion;
    379         }
    380
    381     }
    382
    383 }